Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.common.border
Class SlideoutBorder

    java.lang.Object
      org.flexdock.plaf.common.border.SlideoutBorder

All Implemented Interfaces:
  Border, DockingConstants

    public class SlideoutBorder

extends Object
implements Border, DockingConstants

Author:
  Christopher Butler

Field Summary
`static Color` | `WIN32_GRAY`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`SlideoutBorder()`

Method Summary
`Insets` | `getBorderInsets(Component c)`
`int` | `getOrientation()`
`boolean` | `isBorderOpaque()`
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
`void` | `setOrientation(int orientation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WIN32_GRAY

    public static final Color WIN32_GRAY

Constructor Detail

### SlideoutBorder

    public SlideoutBorder()

Method Detail

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Specified by:
    `getBorderInsets` in interface `Border`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `Border`

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `Border`

### getOrientation

    public int getOrientation()

### setOrientation

    public void setOrientation(int orientation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD